Name:		facette
Version:	0.5.1
Release:	20%{?dist}
Summary:	Time series data visualization software
License:	BSD
URL:		https://facette.io/
Source0:	https://github.com/facette/%{name}/archive/%{version}.tar.gz
Source1:	facette.yaml
Source2:	facette.logrotate
Source3:	facette.init
Source4:	facette.service

BuildRequires:	golang >= 1.10.0
BuildRequires:	go-bindata
BuildRequires:	make
BuildRequires:	nodejs >= 9.0.0
BuildRequires:	pandoc
BuildRequires:	pkgconfig
BuildRequires:	rrdtool-devel >= 1.4.0
BuildRequires:	yarn

Requires:	rrdtool >= 1.4.0

Requires(pre):	/usr/sbin/adduser /usr/bin/getent
Requires(postun): /usr/sbin/userdel

%description
Facette is a web application to visualize time series data from various
sources such as collectd, Graphite, InfluxDB or KairosDB.

%prep
%autosetup

%build
make build

%install
make install TAGS="build_docs" PREFIX=%{buildroot}%{_prefix}

install -d -m 0755 %{buildroot}%{_sysconfdir}/facette/
install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/facette/

install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d/
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/logrotate.d/facette

%if 0%{?el6}
install -d -m 0755 %{buildroot}%{_sysconfdir}/init.d/
install -m 0755 %SOURCE3 %{buildroot}%{_sysconfdir}/init.d/facette
%endif
%if 0%{?el7}
install -d -m 0755 %{buildroot}%{_unitdir}/
install -m 0644 %SOURCE4 %{buildroot}%{_unitdir}/
%endif

install -d -m 0755 %{buildroot}/var/cache/facette/
install -d -m 0755 %{buildroot}/var/lib/facette/
install -d -m 0755 %{buildroot}/var/log/facette/

%pre
/usr/bin/getent group facette >/dev/null || groupadd -r facette
/usr/bin/getent passwd facette >/dev/null || \
	/usr/sbin/useradd -r -g facette -d /var/lib/facette facette

%files
%doc AUTHORS.md CHANGES.md README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/*
%config(noreplace) %{_sysconfdir}/facette/*
%config(noreplace) %{_sysconfdir}/logrotate.d/facette

%if 0%{?el6}
%{_sysconfdir}/init.d/*
%endif
%if 0%{?el7}
%{_unitdir}/*
%endif

%dir %attr(-,facette,facette) /var/cache/facette/
%dir %attr(-,facette,facette) /var/lib/facette/
%dir %attr(-,facette,facette) /var/log/facette/

%changelog
* Wed Dec 18 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-20
- Fix permissions

* Wed Dec 18 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-19
- Force rebuild

* Wed Dec 18 2019 Steven Stallion <sstallion@gmail.com>
- Force rebuild

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-17
- Fix facette.yaml

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-16
- Remove %%postun and switch to useradd

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-15
- Update %%pre and %%postun

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-14
- Fix rpmlint warnings

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-13
- Update %%files permissions

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-12
- Package a better facette.yaml

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-11
- Update %%files for 0.5.1

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-10
- Update %%files for 0.5.1

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-9
- Switch to using go-bindata in BuildRequires

* Tue Nov 12 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-8
- Another stab at managing GOPATH

* Mon Nov 11 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-7
- Another stab at managing GOPATH

* Mon Nov 11 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-6
- Attempt to address PATH issues in build

* Mon Nov 11 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-5
- Fix go-bindata usage

* Mon Nov 11 2019 Steven Stallion <sstallion@gmail.com> 0.5.1-4
- Upgrade to 0.5.1

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-8
- Final changes to init.d script

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-7
- Fix path ownership

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-6
- De-debianize adduser call

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-5
- Fix adduser paths

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-4
- Yet more buildroot fun

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-3
- Fix SOURCE1 usage

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-2
- Fix Source directives

* Fri Nov 03 2017 Steven Stallion <sstallion@gmail.com> 0.4.0rc2-1
- Initial revision
